List
curl --request GET \
--url https://{defaultHost}/v1/coupons \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/coupons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 3,
"limit": 20,
"page": 1,
"url": "/v1/coupons"
},
"data": [
{
"id": "670e5aca-10ac-4937-9397-b26a98cac8a6",
"object": "coupon",
"archived": false,
"archived_at": null,
"amount_off": 500,
"currency": "usd",
"duration": "once",
"duration_in_months": null,
"expired": false,
"metadata": {},
"max_redemptions": null,
"max_redemptions_per_customer": null,
"max_subtotal_amount": null,
"min_subtotal_amount": null,
"name": "Test Coupon",
"percent_off": null,
"product_ids": [],
"redeem_by": null,
"times_redeemed": 0,
"discarded_at": null,
"created_at": 1782485817,
"updated_at": 1782485817
},
{
"id": "39bd389c-5e49-4deb-a086-adb8d8ba68c3",
"object": "coupon",
"archived": false,
"archived_at": null,
"amount_off": 500,
"currency": "usd",
"duration": "once",
"duration_in_months": null,
"expired": false,
"metadata": {},
"max_redemptions": null,
"max_redemptions_per_customer": null,
"max_subtotal_amount": null,
"min_subtotal_amount": null,
"name": "Test Coupon",
"percent_off": null,
"product_ids": [],
"redeem_by": null,
"times_redeemed": 0,
"discarded_at": null,
"created_at": 1782485817,
"updated_at": 1782485817
},
{
"id": "0e1ef063-bb9c-479d-8ba3-b0a3936858f6",
"object": "coupon",
"archived": false,
"archived_at": null,
"amount_off": 500,
"currency": "usd",
"duration": "once",
"duration_in_months": null,
"expired": false,
"metadata": {},
"max_redemptions": null,
"max_redemptions_per_customer": null,
"max_subtotal_amount": null,
"min_subtotal_amount": null,
"name": "Test Coupon",
"percent_off": null,
"product_ids": [],
"redeem_by": null,
"times_redeemed": 0,
"discarded_at": null,
"created_at": 1782485817,
"updated_at": 1782485817
}
]
}Coupons
List
Returns a list of your coupons.
GET
/
v1
/
coupons
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that are archived or not archived.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
The query to be used for full text search of this collection.
Was this page helpful?
⌘I